SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0003407: upgradeing using efw-upgrade - MantisBT
MantisBT - Endian Firewall
View Issue Details
0003407Endian FirewallInstallationpublic2010-12-27 17:382011-10-18 07:42
maxsez 
peter-endian 
normalblockhave not tried
feedbackopen 
2.2 
 
0003407: upgradeing using efw-upgrade
:~ # efw-upgrade
Loading cache...
Updating cache... ################################ [100%]

Fetching information for 'efw-community'...
-> *@updates.endian.org/.../repomd.xml">http://+++++++++++@+++++++++.+++:*@updates.endian.org/.../repomd.xml [*@updates.endian.org/.../repomd.xml" target="_blank">^]
repomd.xml ################################ [ 33%]

Updating cache... ################################ [100%]

Channels have no new packages.
Loading cache...
Updating cache... ################################ [100%]

Computing transaction...

Upgrading packages (111):
  amavisd-new libnfnetlink
  apache libopenldap
  audit-libs libvolume_id
  basesystem libxml2
  conntrack-tools libxml2-python
  cyrus-sasl logrotate
  cyrus-sasl-md5 mdadm
  cyrus-sasl-plain misc-progs
  dansguardian mkinitrd
  dhclient module-init-tools
  dhcp nano
  dnsmasq ntop
  e2fsprogs ntp
  e2fsprogs-libs openssh
  ebtables openssh-clients
  efw-backup openssh-server
  efw-configroot openssl
  efw-endian openswan
  efw-guilib openvpn
  efw-ifup openvpn-auth
  efw-interfaceeditor p3scan
  efw-ipsec pax
  efw-locales perl
  efw-mailgraph perl-rrdtool
  efw-netwizard postgresql-libs
  efw-network postgrey
  efw-openssh ppp
  efw-syslog procps
  efw-upgrade python-cheetah
  endian-artwork-community python-iplib
  endian-core python-json
  ethconfig rp-pppoe
  ethtool rrdtool
  fcron samba
  file samba-common
  filesystem scripts
  frox sed
  gettext shadow-utils
  grub smartpm
  gzip snort
  havp speedtouch
  hwdata squid
  ifplugd squid-radius-auth
  initscripts sudo
  ipac-ng syslog-ng
  iptables tar
  iputils tmpwatch
  isdn4k-utils udev
  kernel ulogd
  kernel-module-modem-drivers unzip
  kernel-module-openswan util-linux-ng
  krb5-libs vconfig
  kudzu vim
  libdaemon wireless-tools
  libnetfilter_conntrack zoo
  libnetfilter_log

Installing packages (17):
  chkconfig p7zip
  device-mapper perl-Compress-Raw-Zlib
  device-mapper-libs perl-json-xs
  kernel-firmware python-htmltmpl
  lm_sensors python-pexpect
  lvm2 python-setuptools
  mm python-simplejson
  modem-drivers sysfsutils
  net-snmp-libs

84.2MB of package files are needed. 74.6MB will be used.

Committing transaction...
Preparing... ################################ [ 0%]
error: file /home/httpd/html/include/servicesubscriber.js from install of efw-guilib-2.4.3-0.endian5 conflicts with file from package efw-base-2.6.127.2-1.endian9
No tags attached.
duplicate of 0003340closed peter-endian Can't upgrade from 2.2 to 2.4.1 
Issue History
2010-12-27 17:38maxsezNew Issue
2010-12-27 17:43lorenzo-endianNote Added: 0005418
2010-12-27 17:43lorenzo-endianAssigned To => lorenzo-endian
2010-12-27 17:43lorenzo-endianStatusnew => feedback
2010-12-27 17:55maxsezNote Added: 0005419
2010-12-27 17:56lorenzo-endianNote Added: 0005420
2010-12-27 18:19maxsezNote Added: 0005422
2010-12-27 18:25lorenzo-endianNote Added: 0005423
2010-12-27 18:26maxsezNote Added: 0005424
2011-01-03 11:11lorenzo-endianRelationship addedduplicate of 0003340
2011-01-03 15:25maxsezNote Added: 0005441
2011-01-05 15:40lorenzo-endianNote Added: 0005444
2011-01-05 16:23lorenzo-endianNote Added: 0005447
2011-01-05 17:04lorenzo-endianNote Added: 0005449
2011-01-05 17:07lorenzo-endianNote Added: 0005450
2011-01-05 17:27maxsezNote Added: 0005451
2011-01-05 17:31lorenzo-endianNote Added: 0005452
2011-01-05 17:37maxsezNote Added: 0005453
2011-01-07 15:43lorenzo-endianStatusfeedback => confirmed
2011-01-24 15:29maxsezNote Added: 0005523
2011-02-07 14:34lorenzo-endianCustomer Occurencies => 0
2011-02-07 14:34lorenzo-endianAssigned Tolorenzo-endian => peter-endian
2011-02-18 17:14ra-endianSeverityminor => block
2011-04-18 17:36flavioictNote Added: 0006129
2011-04-19 07:37flavioictNote Deleted: 0006129
2011-06-10 04:09AnonymousNote Added: 0006698
2011-06-10 04:09AnonymousStatusconfirmed => feedback
2011-10-14 00:52AnonymousNote Edited: 0006698
2011-10-18 07:42FlyrainNote Added: 0007506

Notes
(0005418)
lorenzo-endian   
2010-12-27 17:43   
Hi maxsez,

can you post the output of the command

smart channel --show

please?

It is better if you mark the reply as private because the output of the command above contains your system ID.

Thanks in advance

Lo
(0005419)
maxsez   
2010-12-27 17:55   
how do mark the reply as private
(0005420)
lorenzo-endian   
2010-12-27 17:56   
In the "Add Note" form you put the reply, and below there is a checkbox with called "private".

Just flag it :)
(0005422)
maxsez   
2010-12-27 18:19   
somethink yet
(0005423)
lorenzo-endian   
2010-12-27 18:25   
I make it private :-)

Thanks a lot for the provided information!

I will know you something as soon as possible!

Again, thanks

Lo
(0005424)
maxsez   
2010-12-27 18:26   
thanks
(0005441)
maxsez   
2011-01-03 15:25   
still nothing
(0005444)
lorenzo-endian   
2011-01-05 15:40   
Hi maxsez,

we have released a new package on the community channel which solves the problem on my testing machine.

Could you try to upgrade now?

Let me know if the problem is solved :-)

Have a nice day

Lo
(0005447)
lorenzo-endian   
2011-01-05 16:23   
can you try to do a "smart clean" , then a "smart update" and then a "smart upgrade"?
(0005449)
lorenzo-endian   
2011-01-05 17:04   
can you post the output of

smart install --url efw-base

please?

Thanks a lot

Lo
(0005450)
lorenzo-endian   
2011-01-05 17:07   
and even the output of "smart install efw-base" please..
(0005451)
maxsez   
2011-01-05 17:27   
root@efw-SFRSA:~ # smart install --url efw-base
Loading cache...
Updating cache... #################################################################################################### [100%]

Computing transaction... error: Can't install net-snmp-libs-1:5.4.2.1-3.endian11@i586: no package provides librpm-4.4.so

root@efw-SFRSA:~ # smart install efw-base
Loading cache...
Updating cache... #################################################################################################### [100%]

Computing transaction... error: Can't install net-snmp-libs-1:5.4.2.1-3.endian11@i586: no package provides librpm-4.4.so
(0005452)
lorenzo-endian   
2011-01-05 17:31   
This is a great help for fixing the problem, thanks a lot!
(0005453)
maxsez   
2011-01-05 17:37   
will be fix soon,my main problem to upgrade is that content filtering are not working @ all even if all seem to be o.k.I can also give u accsess to the firewall if i can trust u
(0005523)
maxsez   
2011-01-24 15:29   
nothing yet
(0006698)
Anonymous   
2011-06-10 04:09   
(edited on: 2011-10-14 00:52)
Problem still exists.. :-(

exact same problem here. Is there a solution in the near future?

root@gw-efw:~ # smart install --url efw-base
Loading cache...
Updating cache... ######################################## [100%]

Computing transaction... error: Can't install python-2.4.6-18.endian7@i586: no package provides libbz2.so.1

(0007506)
Flyrain   
2011-10-18 07:42   
some change?